com.mxgraph.analysis

## Class mxGraphProperties

- java.lang.Object
- - com.mxgraph.analysis.mxGraphProperties

-     public class mxGraphProperties
      extends java.lang.Object

  Constants for graph structure properties

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `mxGraphProperties.GraphType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_DIRECTED`
    `static boolean` | `DEFAULT_TRAVERSE_VISIBLE`
    `static java.lang.String` | `DIRECTED` Whether or not to take into account the direction on edges.
    `static java.lang.String` | `TRAVERSE_VISIBLE` Whether or not to navigate the graph raw graph structure or the visible structure.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGraphProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDirected(java.util.Map<java.lang.String,java.lang.Object> properties, boolean defaultValue)`
    `static boolean` | `isTraverseVisible(java.util.Map<java.lang.String,java.lang.Object> properties, boolean defaultValue)`
    `static void` | `setDirected(java.util.Map<java.lang.String,java.lang.Object> properties, boolean isDirected)`
    `static void` | `setTraverseVisible(java.util.Map<java.lang.String,java.lang.Object> properties, boolean isTraverseVisible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRAVERSE_VISIBLE

          public static java.lang.String TRAVERSE_VISIBLE

      Whether or not to navigate the graph raw graph structure or the visible structure. The value associated with this key should evaluate as a string to `1` or `0`

    - #### DEFAULT_TRAVERSE_VISIBLE

          public static boolean DEFAULT_TRAVERSE_VISIBLE

    - #### DIRECTED

          public static java.lang.String DIRECTED

      Whether or not to take into account the direction on edges. The value associated with this key should evaluate as a string to `1` or `0`

    - #### DEFAULT_DIRECTED

          public static boolean DEFAULT_DIRECTED

  - ### Constructor Detail

    - #### mxGraphProperties

          public mxGraphProperties()

  - ### Method Detail

    - #### isTraverseVisible

          public static boolean isTraverseVisible(java.util.Map<java.lang.String,java.lang.Object> properties,
                                  boolean defaultValue)

      Parameters:
        `properties` -
        `defaultValue` -
      Returns:

    - #### setTraverseVisible

          public static void setTraverseVisible(java.util.Map<java.lang.String,java.lang.Object> properties,
                                boolean isTraverseVisible)

      Parameters:
        `properties` -
        `isTraverseVisible` -

    - #### isDirected

          public static boolean isDirected(java.util.Map<java.lang.String,java.lang.Object> properties,
                           boolean defaultValue)

      Parameters:
        `properties` -
      Returns:

    - #### setDirected

          public static void setDirected(java.util.Map<java.lang.String,java.lang.Object> properties,
                         boolean isDirected)

      Parameters:
        `properties` -
        `isTraverseVisible` -

Copyright (c) 2010 Gaudenz Alder. All rights reserved.